import type { FormSchema } from "./types";
import type { GridProps } from "naive-ui";
import type { CSSProperties } from "vue";
declare const BasicForm: import("vue").DefineComponent<{
    labelWidth: {
        type: import("vue").PropType<string | number>;
        default: string;
    };
    schemas: {
        type: import("vue").PropType<FormSchema<string, any, Record<string, any>>[]>;
        default: () => any[];
    };
    layout: {
        type: StringConstructor;
        default: string;
    };
    inline: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("./types/Rule").FormSize>;
        default: string;
    };
    labelPlacement: {
        type: import("vue").PropType<import("./types/Rule").LabelPlacement>;
        default: string;
    };
    gridProps: {
        type: import("vue").PropType<Omit<GridProps, "collapsed" | "collapsedRows">>;
        default: () => {
            cols: number;
            xGap: number;
            yGap: number;
        };
    };
    giProps: {
        type: import("vue").PropType<import("naive-ui").GridItemProps>;
        default: () => {
            span: number;
        };
    };
    baseGridStyle: {
        type: import("vue").PropType<CSSProperties>;
        required: boolean;
    };
    collapsed: {
        type: BooleanConstructor;
        default: boolean;
    };
    collapsedRows: {
        type: NumberConstructor;
        default: number;
    };
    showActions: {
        type: BooleanConstructor;
        default: boolean;
    };
    actionGridProps: {
        type: import("vue").PropType<Omit<import("naive-ui").GridItemProps, "collapsed" | "collapsedRows">>;
        default: () => {
            span: number;
        };
    };
    loading: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    requireMarkPlacement: {
        type: import("vue").PropType<import("./types/Rule").RequiredMarkPlacement>;
        default: string;
    };
    colon: {
        type: import("vue").PropType<string>;
        default: any;
    };
    disabled: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    rules: {
        type: import("vue").PropType<{
            [schemaField: string]: import("naive-ui").FormItemRule | import("naive-ui").FormItemRule[];
        }>;
        default: any;
    };
    modelValueName: {
        type: import("vue").PropType<string>;
        default: string;
    };
    breakpoints: {
        type: import("vue").PropType<{
            [screenWidth: string]: number;
        }>;
        default: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            "2xl": number;
            "2k": number;
            "4k": number;
        };
    };
    themeOverrides: {
        type: import("vue").PropType<import("naive-ui/es/_mixins/use-theme").ExtractThemeOverrides<import("naive-ui/es/_mixins").Theme<Pick<import("naive-ui/es/config-provider/src/internal-interface").GlobalThemeWithoutCommon, "Form">, {
            blankHeightSmall: string;
            blankHeightMedium: string;
            blankHeightLarge: string;
            lineHeight: string;
            labelTextColor: string;
            asteriskColor: string;
            feedbackTextColorError: string;
            feedbackTextColorWarning: string;
            feedbackTextColor: string;
            feedbackPadding: string;
            feedbackHeightSmall: string;
            feedbackHeightMedium: string;
            feedbackHeightLarge: string;
            feedbackFontSizeSmall: string;
            feedbackFontSizeMedium: string;
            feedbackFontSizeLarge: string;
            labelFontSizeLeftSmall: string;
            labelFontSizeLeftMedium: string;
            labelFontSizeLeftLarge: string;
            labelFontSizeTopSmall: string;
            labelFontSizeTopMedium: string;
            labelFontSizeTopLarge: string;
            labelHeightSmall: string;
            labelHeightMedium: string;
            labelHeightLarge: string;
            labelPaddingVertical: string;
            labelPaddingHorizontal: string;
            labelTextAlignVertical: string;
            labelTextAlignHorizontal: string;
            labelFontWeight: string;
        }, any>>>;
        default: any;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("register" | "schema-change" | "validate-error" | "submit" | "collapse-change" | "reset" | "clear-validate")[], "register" | "schema-change" | "validate-error" | "submit" | "collapse-change" | "reset" | "clear-validate", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    labelWidth: {
        type: import("vue").PropType<string | number>;
        default: string;
    };
    schemas: {
        type: import("vue").PropType<FormSchema<string, any, Record<string, any>>[]>;
        default: () => any[];
    };
    layout: {
        type: StringConstructor;
        default: string;
    };
    inline: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("./types/Rule").FormSize>;
        default: string;
    };
    labelPlacement: {
        type: import("vue").PropType<import("./types/Rule").LabelPlacement>;
        default: string;
    };
    gridProps: {
        type: import("vue").PropType<Omit<GridProps, "collapsed" | "collapsedRows">>;
        default: () => {
            cols: number;
            xGap: number;
            yGap: number;
        };
    };
    giProps: {
        type: import("vue").PropType<import("naive-ui").GridItemProps>;
        default: () => {
            span: number;
        };
    };
    baseGridStyle: {
        type: import("vue").PropType<CSSProperties>;
        required: boolean;
    };
    collapsed: {
        type: BooleanConstructor;
        default: boolean;
    };
    collapsedRows: {
        type: NumberConstructor;
        default: number;
    };
    showActions: {
        type: BooleanConstructor;
        default: boolean;
    };
    actionGridProps: {
        type: import("vue").PropType<Omit<import("naive-ui").GridItemProps, "collapsed" | "collapsedRows">>;
        default: () => {
            span: number;
        };
    };
    loading: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    requireMarkPlacement: {
        type: import("vue").PropType<import("./types/Rule").RequiredMarkPlacement>;
        default: string;
    };
    colon: {
        type: import("vue").PropType<string>;
        default: any;
    };
    disabled: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    rules: {
        type: import("vue").PropType<{
            [schemaField: string]: import("naive-ui").FormItemRule | import("naive-ui").FormItemRule[];
        }>;
        default: any;
    };
    modelValueName: {
        type: import("vue").PropType<string>;
        default: string;
    };
    breakpoints: {
        type: import("vue").PropType<{
            [screenWidth: string]: number;
        }>;
        default: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            "2xl": number;
            "2k": number;
            "4k": number;
        };
    };
    themeOverrides: {
        type: import("vue").PropType<import("naive-ui/es/_mixins/use-theme").ExtractThemeOverrides<import("naive-ui/es/_mixins").Theme<Pick<import("naive-ui/es/config-provider/src/internal-interface").GlobalThemeWithoutCommon, "Form">, {
            blankHeightSmall: string;
            blankHeightMedium: string;
            blankHeightLarge: string;
            lineHeight: string;
            labelTextColor: string;
            asteriskColor: string;
            feedbackTextColorError: string;
            feedbackTextColorWarning: string;
            feedbackTextColor: string;
            feedbackPadding: string;
            feedbackHeightSmall: string;
            feedbackHeightMedium: string;
            feedbackHeightLarge: string;
            feedbackFontSizeSmall: string;
            feedbackFontSizeMedium: string;
            feedbackFontSizeLarge: string;
            labelFontSizeLeftSmall: string;
            labelFontSizeLeftMedium: string;
            labelFontSizeLeftLarge: string;
            labelFontSizeTopSmall: string;
            labelFontSizeTopMedium: string;
            labelFontSizeTopLarge: string;
            labelHeightSmall: string;
            labelHeightMedium: string;
            labelHeightLarge: string;
            labelPaddingVertical: string;
            labelPaddingHorizontal: string;
            labelTextAlignVertical: string;
            labelTextAlignHorizontal: string;
            labelFontWeight: string;
        }, any>>>;
        default: any;
    };
}>> & {
    onReset?: (...args: any[]) => any;
    onSubmit?: (...args: any[]) => any;
    onRegister?: (...args: any[]) => any;
    "onSchema-change"?: (...args: any[]) => any;
    "onValidate-error"?: (...args: any[]) => any;
    "onCollapse-change"?: (...args: any[]) => any;
    "onClear-validate"?: (...args: any[]) => any;
}, {
    themeOverrides: any;
    collapsed: boolean;
    collapsedRows: number;
    disabled: boolean;
    inline: boolean;
    size: import("./types/Rule").FormSize;
    colon: string;
    modelValueName: string;
    labelWidth: string | number;
    labelPlacement: import("./types/Rule").LabelPlacement;
    requireMarkPlacement: import("./types/Rule").RequiredMarkPlacement;
    layout: string;
    schemas: FormSchema<string, any, Record<string, any>>[];
    gridProps: {
        cols: number;
        xGap: number;
        yGap: number;
    };
    giProps: {
        span: number;
    };
    showActions: boolean;
    actionGridProps: {
        span: number;
    };
    loading: boolean;
    rules: {
        [schemaField: string]: import("naive-ui").FormItemRule | import("naive-ui").FormItemRule[];
    };
    breakpoints: {
        [screenWidth: string]: number;
    };
}, {}>;
export default BasicForm;
