import type { FormItemRule, GridItemProps, GridProps } from "naive-ui";
import type { FormSchema } from "../types";
import type { PropType, CSSProperties } from "vue";
import type { FormSize, LabelPlacement, RequiredMarkPlacement } from "../types/Rule";
import { ExtractThemeOverrides, Theme } from "naive-ui/es/_mixins/use-theme";
import { GlobalThemeWithoutCommon } from "naive-ui/es/config-provider/src/internal-interface";
export declare const BasicFormPorps: {
    labelWidth: {
        type: PropType<string | number>;
        default: string;
    };
    schemas: {
        type: PropType<FormSchema<string, any, Record<string, any>>[]>;
        default: () => any[];
    };
    layout: {
        type: StringConstructor;
        default: string;
    };
    inline: {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<FormSize>;
        default: string;
    };
    labelPlacement: {
        type: PropType<LabelPlacement>;
        default: string;
    };
    gridProps: {
        type: PropType<Omit<GridProps, "collapsed" | "collapsedRows">>;
        default: () => {
            cols: number;
            xGap: number;
            yGap: number;
        };
    };
    giProps: {
        type: PropType<GridItemProps>;
        default: () => {
            span: number;
        };
    };
    baseGridStyle: {
        type: PropType<CSSProperties>;
        required: boolean;
    };
    collapsed: {
        type: BooleanConstructor;
        default: boolean;
    };
    collapsedRows: {
        type: NumberConstructor;
        default: number;
    };
    showActions: {
        type: BooleanConstructor;
        default: boolean;
    };
    actionGridProps: {
        type: PropType<Omit<GridItemProps, "collapsed" | "collapsedRows">>;
        default: () => {
            span: number;
        };
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    requireMarkPlacement: {
        type: PropType<RequiredMarkPlacement>;
        default: string;
    };
    colon: {
        type: PropType<string>;
        default: any;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    rules: {
        type: PropType<{
            [schemaField: string]: FormItemRule | FormItemRule[];
        }>;
        default: any;
    };
    modelValueName: {
        type: PropType<string>;
        default: string;
    };
    breakpoints: {
        type: PropType<{
            [screenWidth: string]: number;
        }>;
        default: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
            "2xl": number;
            "2k": number;
            "4k": number;
        };
    };
    themeOverrides: {
        type: PropType<ExtractThemeOverrides<Theme<Pick<GlobalThemeWithoutCommon, "Form">, {
            blankHeightSmall: string;
            blankHeightMedium: string;
            blankHeightLarge: string;
            lineHeight: string;
            labelTextColor: string;
            asteriskColor: string;
            feedbackTextColorError: string;
            feedbackTextColorWarning: string;
            feedbackTextColor: string;
            feedbackPadding: string;
            feedbackHeightSmall: string;
            feedbackHeightMedium: string;
            feedbackHeightLarge: string;
            feedbackFontSizeSmall: string;
            feedbackFontSizeMedium: string;
            feedbackFontSizeLarge: string;
            labelFontSizeLeftSmall: string;
            labelFontSizeLeftMedium: string;
            labelFontSizeLeftLarge: string;
            labelFontSizeTopSmall: string;
            labelFontSizeTopMedium: string;
            labelFontSizeTopLarge: string;
            labelHeightSmall: string;
            labelHeightMedium: string;
            labelHeightLarge: string;
            labelPaddingVertical: string;
            labelPaddingHorizontal: string;
            labelTextAlignVertical: string;
            labelTextAlignHorizontal: string;
            labelFontWeight: string;
        }, any>>>;
        default: any;
    };
};
